Bug 151780 - [MAINTAINER] chinese/wordpress-zh_TW: update to 3.0.1
Summary: [MAINTAINER] chinese/wordpress-zh_TW: update to 3.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-27 14:30 UTC by joehorn
Modified: 2010-11-08 02:40 UTC (History)
0 users

See Also:


Attachments
wordpress-zh_TW-3.0.1.patch (1.36 KB, patch)
2010-10-27 14:30 UTC, joehorn
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joehorn 2010-10-27 14:30:08 UTC
- Update to 3.0.1
- Add LICENSE

Generated with FreeBSD Port Tools 0.99
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2010-11-03 12:16:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I will take it.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2010-11-03 19:33:10 UTC
Hi,

  I would like to clarify the license used by WordPress. According to
  this page (http://wordpress.org/about/license/), WordPress is released
  under GPLv2, not GPLv3. So I will fix the LICENSE line in your patch.
  The modified patch is attached. Thanks.

Regards,
sunpoet

--- wordpress-zh_TW.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/chinese/wordpress-zh_TW/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- Makefile	20 Jun 2010 12:21:34 -0000	1.2
+++ Makefile	3 Nov 2010 19:30:05 -0000
@@ -6,15 +6,17 @@
 #
 
 PORTNAME=	wordpress
-PORTVERSION=	3.0
+PORTVERSION=	3.0.1
 CATEGORIES=	chinese www
 MASTER_SITES=	http://tw.wordpress.org/
 PKGNAMESUFFIX=	-zh_TW
-DISTNAME=	wordpress-${PORTVERSION}-zh_TW
+DISTNAME=	${PORTNAME}-${PORTVERSION}${PKGNAMESUFFIX}
 
 MAINTAINER=	joehorn@gmail.com
 COMMENT=	A state-of-the-art semantic personal publishing platform
 
+LICENSE=	GPLv2
+
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
 USE_PHP=	mysql pcre xml gd tokenizer
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/chinese/wordpress-zh_TW/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	20 Jun 2010 12:21:34 -0000	1.2
+++ distinfo	3 Nov 2010 19:30:05 -0000
@@ -1,3 +1,2 @@
-MD5 (wordpress-3.0-zh_TW.tar.gz) = 2c2c5782398eac7e9d08d4974636b274
-SHA256 (wordpress-3.0-zh_TW.tar.gz) = 0dea0a6b7dfc7588326be94ac0b0218708ea318fb140950db39730047869af54
-SIZE (wordpress-3.0-zh_TW.tar.gz) = 2959429
+SHA256 (wordpress-3.0.1-zh_TW.tar.gz) = 98f3d3cce243c19d1465cb0e8103144da81ed11c6f76ed480391899e461a23ed
+SIZE (wordpress-3.0.1-zh_TW.tar.gz) = 2949161
--- wordpress-zh_TW.patch begins here ---

-- 
   Sunpoet Po-Chuan Hsieh <sunpoet at sunpoet.net> <sunpoet at FreeBSD.org>
           4096R/CC57E36B 8AD8 68F2 7D2B 0A10 7E9B 8CC0 DC44 247E CC57 E36B
	                     http://people.FreeBSD.org/~sunpoet/pgpkeys.txt
Comment 3 dfilter service freebsd_committer 2010-11-08 02:36:24 UTC
sunpoet     2010-11-08 02:36:19 UTC

  FreeBSD ports repository

  Modified files:
    chinese/wordpress-zh_TW Makefile distinfo 
  Log:
  - Update to 3.0.1
  - Add LICENSE
  
  Changes:        http://codex.wordpress.org/Version_3.0.1
  PR:             ports/151780
  Submitted by:   Joe Horn <joehorn@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +4 -2      ports/chinese/wordpress-zh_TW/Makefile
  1.3       +2 -3      ports/chinese/wordpress-zh_TW/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2010-11-08 02:36:30 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!